/*=======================================================*/
/*  TVQSIZE.C                                            */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVqry_size--return size of physical window            */
/*   Ralf Brown 4/3/88                                   */
/*=======================================================*/

void pascal TVqry_size(OBJECT win,int *rows,int *cols)
{
   static BYTE query_stream[] = { S_QUERY(3), 0xC3, 0, 0 } ;

   TVwin_stream(win,query_stream) ;
   *rows = query_stream[5] ;
   *cols = query_stream[6] ;
}

/* End of TVQSIZE.C */
